<?PHP



// Create the function to output the contents of our Dashboard Widget



function simple4us_dashboard_widget_function() {



	// Blog RSS

	echo '<h3>Estas son las últimas noticias de nuestro blog...</h3>';

$rss = fetch_feed( "http://simple4.us/feed" );

 

     if ( is_wp_error($rss) ) {

          if ( is_admin() || current_user_can('manage_options') ) {

               echo '<p>';

               printf(__('<strong>RSS Error</strong>: %s'), $rss->get_error_message());

               echo '</p>';

          }

     return;

}

 

if ( !$rss->get_item_quantity() ) {

     echo '<p>De momento no hay noticias!</p>';

     $rss->__destruct();

     unset($rss);

     return;

}

 

echo "<div class='rss-widget'><ul>";

 

if ( !isset($items) )

     $items = 2;

 

     foreach ( $rss->get_items(0, $items) as $item ) {

          $publisher = '';

          $site_link = '';

          $title = '';

          $link = '';

          $content = '';

          $pubdate = '';

          $link = esc_url( strip_tags( $item->get_link() ) );

          $title = $item->get_title();

          $pubdate = date_i18n(get_option('date_format') ,strtotime($item->get_date()));

          $content = $item->get_content();

          $content = wp_html_excerpt($content, 200) . ' ...';

 

         echo "<li><a class='rsswidget' href='$link' target ='_blank'>$title</a> <span class='rss-date'>$pubdate</span><div class='rssSummary'>$content</div></li>";

}

 

echo "</ul></div>";

$rss->__destruct();

unset($rss);



	// Offers RSS

	echo '<h3>Estos son los últimos consejos y ofertas de SimpleOffers...</h3>';

$rss = fetch_feed( "http://offers.simple4.us/feed" );

 

     if ( is_wp_error($rss) ) {

          if ( is_admin() || current_user_can('manage_options') ) {

               echo '<p>';

               printf(__('<strong>RSS Error</strong>: %s'), $rss->get_error_message());

               echo '</p>';

          }

     return;

}

 

if ( !$rss->get_item_quantity() ) {

     echo '<p>De momento no hay ofertas!</p>';

     $rss->__destruct();

     unset($rss);

     return;

}

 

echo "<div class='rss-widget'><ul>";

 

if ( !isset($items) )

     $items = 2;

 

     foreach ( $rss->get_items(0, $items) as $item ) {

          $publisher = '';

          $site_link = '';

          $title = '';

          $link = '';

          $content = '';

          $pubdate = '';

          $link = esc_url( strip_tags( $item->get_link() ) );

          $title = $item->get_title();

          $pubdate = date_i18n(get_option('date_format') ,strtotime($item->get_date()));

          $content = $item->get_content();

          $content = wp_html_excerpt($content, 200) . ' ...';

 

         echo "<li><a class='rsswidget' href='$link' target ='_blank'>$title</a> <span class='rss-date'>$pubdate</span><div class='rssSummary'>$content</div></li>";

}

 

echo "</ul></div>";

$rss->__destruct();

unset($rss);


echo '<h3>Nuevas campañas en SimpleFeeds...</h3>';

echo '<div class="rss-widget"></br>
        <table class="widefat"> 
			<thead>
				<tr>
       
        <th scope="col">Categoría/País</th>
				<th scope="col" align="center">Logo</th>
				<th scope="col" >Texto</th>
        <th scope="col" align="center">Landing</th>
        <th scopr="col" align="center">Finaliza</th>
				</tr>
			</thead>';    
$s4us_feeds_campaigns = get_option( 'simple4us_feeds_campaigns');
$c=0;
$i=0;
if ($s4us_feeds_campaigns<>'')
{          
    $xml_campaigns = new SimpleXMLElement($s4us_feeds_campaigns);
    
    foreach($xml_campaigns->item as $campaign)
    {
      ++$c;
      if ($c==4)break;
      if ($i==1){echo '<tr class="alternate">';}else{echo '<tr>';}
            
      
     
      echo '<td><strong>'.$campaign->category.' ('.$campaign->country.')</strong></td>';
    	echo '<td align="center"><img style="max-width:100px;" src="http://panel.simple4.us/logos/logo_'.$campaign->slug.'.gif" ></td>';
    	echo '<td>'.$campaign->text.'</td>';
    	echo '<td align="center"><a href="'.$campaign->landing.'" target="_blank">Ver</a></td>';
      echo '<td align="center">'.date('d/m/Y',  strtotime($campaign->end)).'</td></tr>';
      if ($i==1){$i=0;}else{$i=1;}

    }
    
    echo '</table></div>';
}


	

} 







// Create the function use in the action hook



function simple4us_add_dashboard_widgets() {

  

  if(current_user_can('manage_options')){

	wp_add_dashboard_widget('simple4us_dashboard_widget', 'SIMPLE<font color="red">4</font>US', 'simple4us_dashboard_widget_function');

  // Globalize the metaboxes array, this holds all the widgets for wp-admin



	global $wp_meta_boxes;

	

	// Get the regular dashboard widgets array 

	// (which has our new widget already but at the end)



	$normal_dashboard = $wp_meta_boxes['dashboard']['normal']['core'];

	

	// Backup and delete our new dashbaord widget from the end of the array



	$simple4us_widget_backup = array('simple4us_dashboard_widget' => $normal_dashboard['simple4us_dashboard_widget']);

	unset($normal_dashboard['simple4us_dashboard_widget']);



	// Merge the two arrays together so our widget is at the beginning



	$sorted_dashboard = array_merge($simple4us_widget_backup, $normal_dashboard);



	// Save the sorted array back into the original metaboxes 



	$wp_meta_boxes['dashboard']['normal']['core'] = $sorted_dashboard;

  }	

} 



// Hook into the 'wp_dashboard_setup' action to register our other functions





add_action('wp_dashboard_setup', 'simple4us_add_dashboard_widgets' );





?>