<?php
function simple4us_options() {

    if (!current_user_can('manage_options'))  {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }
    $domain = GetDomain(get_option('siteurl'));
    
   if(get_option('simple4us_feeds_campaigns')=='' && get_option('simple4us_key')!='' )
   {
          //Simplefeeds  
          $curl_handle = curl_init();  
          curl_setopt($curl_handle, CURLOPT_URL, 'http://api.simple4.us/api/simplefeeds_campaigns/domain/'.$domain);
          curl_setopt($curl_handle,CURLOPT_HTTPHEADER,array("SIMPLE4US-API-KEY:".get_option('simple4us_key' )));
          curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);
            
          $buffer = curl_exec($curl_handle);  
          curl_close($curl_handle);  
            
          

          $xml_campaigns = $buffer;
                    
          $s4us_feeds_campaigns_ids = array();
          $campaigns_id = new SimpleXMLElement($xml_campaigns);
          foreach ($campaigns_id->item as $campaign)
          {
            array_push($s4us_feeds_campaigns_ids, (string)$campaign->id);
          }
          update_option( 'simple4us_feeds_campaigns',$xml_campaigns);
          update_option( 'simple4us_feeds_campaigns_ids',$s4us_feeds_campaigns_ids);
      
    }
     
      // Read Config
      $s4us_key = get_option('simple4us_key' );
      $s4us_enabled = get_option('simple4us_enabled' );
      $s4us_words_enabled = get_option('simple4us_words_enabled' );
      $s4us_feeds_enabled = get_option('simple4us_feeds_enabled' );
      $s4us_words_density = get_option('simple4us_words_density' );
      $s4us_words_keywords = get_option('simple4us_words_keywords' );
      $s4us_feeds_campaigns = get_option('simple4us_feeds_campaigns' );
      $s4us_feeds_campaigns_ids = get_option('simple4us_feeds_campaigns_ids' );
      $s4us_feeds_activecampaigns = get_option('simple4us_feeds_activecampaigns' ); 




      
      if(isset($_POST['s4us_key']))
      {
         $s4us_key=$_POST['s4us_key'];
         $s4us_enabled=$_POST['s4us_enabled'];
         if($_POST['s4us_words_enabled']=="on")$s4us_enabled=$_POST['s4us_words_enabled'];
         $s4us_words_enabled = $_POST['s4us_words_enabled'];
         $s4us_feeds_enabled = $_POST['s4us_feeds_enabled'];
         $s4us_words_density = $_POST['s4us_words_density'];
         $s4us_feeds_activecampaigns = $_POST['s4us_feeds_activecampaigns'];
         
         
         $aDoor = $_POST['formDoor'];
  
         
         
         $curl_handle = curl_init();  
          curl_setopt($curl_handle, CURLOPT_URL, 'http://api.simple4.us/api/user');
          curl_setopt($curl_handle,CURLOPT_HTTPHEADER,array("SIMPLE4US-API-KEY:".$s4us_key));  
          curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);  
            
          $buffer = curl_exec($curl_handle);  
          curl_close($curl_handle);  
            
          
          $xml = new SimpleXMLElement($buffer);
          
          //Simple Words
          
          $curl_handle = curl_init();  
          curl_setopt($curl_handle, CURLOPT_URL, 'http://api.simple4.us/api/programs_keywords/domain/'.$domain);
          curl_setopt($curl_handle,CURLOPT_HTTPHEADER,array("SIMPLE4US-API-KEY:".$s4us_key));
          curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);  
            
          $buffer = curl_exec($curl_handle);  
          curl_close($curl_handle);  

          //$xml_keywords = new SimpleXMLElement($buffer);
          $xml_keywords = $buffer;
          
          //Simplefeeds  

          $curl_handle = curl_init();  
          curl_setopt($curl_handle, CURLOPT_URL, 'http://api.simple4.us/api/simplefeeds_campaigns/domain/'.$domain);
          curl_setopt($curl_handle,CURLOPT_HTTPHEADER,array("SIMPLE4US-API-KEY:".$s4us_key));
          curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);
            
          $buffer = curl_exec($curl_handle);  
          curl_close($curl_handle);  
            
          

          $xml_campaigns = $buffer;
                    
          $s4us_feeds_campaigns_ids = array();
          $campaigns_id = new SimpleXMLElement($xml_campaigns);
          foreach ($campaigns_id->item as $campaign)
          {
            array_push($s4us_feeds_campaigns_ids, (string)$campaign->id);
          }
          
          
          if ($xml->status){echo '<div id="message" class="error"><p>La clave API no es válida, tómala de la sección "<a href="http://panel.simple4.us/tools" target="_blank">Herramientas</a>" de tu panel e inténtalo de nuevo.</p></div>
                <div id="message" class="error"><p>No se guardaron los cambios.</p></div>';}
          else
             {
          
          
              update_option( 'simple4us_userid', (string)$xml->item->userid );
              update_option( 'simple4us_key',$s4us_key);
              update_option( 'simple4us_enabled',$s4us_enabled);
              update_option( 'simple4us_words_enabled',$s4us_words_enabled);
              if($s4us_words_enabled=="on")update_option( 'simple4us_enabled',"on");
              update_option( 'simple4us_feeds_enabled',$s4us_feeds_enabled);
              update_option( 'simple4us_words_density',$s4us_words_density);
              update_option( 'simple4us_words_keywords',$xml_keywords);
              update_option( 'simple4us_feeds_campaigns',$xml_campaigns);
              update_option( 'simple4us_feeds_campaigns_ids',$s4us_feeds_campaigns_ids);
              update_option( 'simple4us_feeds_activecampaigns',$s4us_feeds_activecampaigns);
              
              
              
              
              
              echo '<div id="message" class="updated"><p>Hola '.$xml->item->first_name.'!... Tu clave API es correcta.</p></div>';
              echo '<div id="message" class="updated"><p>Configuración guardada.</p></div>';
             }   
              
      }

   

  ?>
  
<script type="text/javascript">
jQuery(document).ready(function(){
 jQuery('.checkall').click(function(){
        
        
        
        jQuery('.SFcheck').attr('checked', this.checked);
     
        
        }); 
        
})         
  </script>
  
 	<div class="wrap columns-2 dd-wrap">
		
		<!-- Display Plugin Icon, Header, and Description -->
		<div class="icon32"><img src="<?php echo plugins_url(); ?>/simple4us/images/logo.png" width="32" height="32"></div>
    
		<h2>Configuración</h2>

    <div id="poststuff" class="metabox-holder has-right-sidebar">
    <div id="side-info-column" class="inner-sidebar">
      <div class="postbox">
          <h3>Programa de referidos</h3>
          <div class="inside">
          <p>Gana dinero con nuestro programa de referidos.</p>
          <p>Por cada afiliado que traigas a Simple4us <strong>te pagaremos el 30% de lo que ganemos con él</strong> durante 1 año.</p>
          <br>
          <div class="signup">
          <a class="button" target="_blank" href="http://simple4.us/programa-de-referidos/">Más información</a>
          </div>
          </div>
      </div>
    
      <div class="postbox">
          <h3>Enlaces útiles</h3>
          <div class="inside">    
              
          <ul>
          <li><a href="http://simple4.us/que-es/" target="_blank">¿Qué es Simple4us?</a></li>
          <li><a href="http://simple4.us/por-que-utilizar-simple4us/" target="_blank">¿Por qué utilizar Simple4us?</a></li>
          <li>Listado de programas disponibles: <a href="http://simple4.us/programas-argentina" target="_blank">Argentina</a>, <a href="http://simple4.us/programas-colombia" target="_blank">Colombia</a>,<a href="http://simple4.us/programas-espana" target="_blank">España</a>, <a href="http://simple4.us/programas-mexico" target="_blank">México</a>.</li>
          
          <li><a href="http://support.simple4.us" target="_blank">Documentación y Soporte</a></li>
          <li><a href="http://offers.simple4.us" target="_blank">Las mejores ofertas de nuestros anunciantes</a></li>
          <li><a href="http://panel.simple4.us/auth/login" target="_blank">Entra en tu panel de afiliado</a></li>
          <li><a href="http://panel.simple4.us/auth/register" target="_blank">Regístrate</a></li>
          </ul>
           </div>
      </div>
   
          
    </div>
    <div id="post-body">
    <div id="post-body-content">
         
     <div class="postbox">
		<h3 class="hndl"><span>Descripción</span></h3>
    <div  class="inside">
      <p><strong><a href="http://simple4.us" target="_blank">Simple4us</a></strong> es una plataforma que nos permite rentabilizar nuestros contenidos mediante los siguientes servicios:</p>
      <ul>
      <li><strong><a href="http://simple4.us/simple-links/" target="_blank">SimpleLinks</a></strong> toma los enlaces de nuestras páginas y los convierte en el enlace de afiliado equivalente cuando el usuario hace click.</li>
      <li><strong><a href="http://simple4.us/simple-words/" target="_blank">SimpleWords</a></strong> convierte ciertas palabras clave del contenido de tu blog (viajes, regalos, moda, marcas, etc.) en enlaces a tiendas online. Estos enlaces son a su vez convertidos por SimpleLinks en enlaces de afiliado personalizados.</li>
      <li><strong><a href="http://simple4.us/simple-leads/" target="_blank">SimpleLeads</a></strong> nos permite mostrar campañas de captación de leads o registros relacionadas en nuestros sites, de forma elegante y muy respetuosa con los usuarios. Si usas Wordpress, también en el feed RSS.</li>
      </ul>
      <p>Este plugin integra en tu blog Wordpress toda la funcionalidad para poder trabajar con Simple4us.</p>

      </div>
      </div>

      
    <?php
    if($s4us_key=='')
    {
       
      echo '
      <div class="stuffbox">
  		<h3 class="hndl"><span>Para configurar el plugin de Simple4us necesitas una clave API.</span></h3>
      <div  class="inside">
      
      <h4>Si aún no eres afiliado de Simple4us:</h4>
       <ul>
       <li>1. <a href="http://panel.simple4.us/auth/register" target="_blank">Regístrate en Simple4us</a>.</li>
       <li>2. Espera la confirmación de que tu blog ha sido aceptado.</li>
       </ul>
      
      <h4>Si ya eres afiliado de Simple4us:</h4>
       <ul>
       <li>3. Visita la sección "<a href="http://panel.simple4.us/tools" target="_blank">Herramientas</a>" de tu panel.</li>
       <li>4. Copia tu clave API en el portapapeles y pégala en el campo "<b>Clave API</b>" que verás más abajo.</li>
       <li>5. Habilítalo marcando "<b>Activado</b>"</li>
       <li>6. Guarda los cambios.</li>
       </ul>
       <p>Los enlaces a tiendas online y las palabras clave de tu blog comenzarán a ser convertidos y a generar comisiones.</p>
       <p>Si tienes dudas visita nuestro <a href="http://support.simple4.us/category/plugin-wordpress/" target="_blank">centro de soporte</a></p>
       </div>
       </div>';
       
      
    }
    
    
    ?>
		<!-- Beginning of the Plugin Options Form -->
		<form method="post" >
    <p class="submit">
			<input type="submit" class="button-primary" value="Guardar cambios" />
		</p>
    <div class="stuffbox">
		<h3 class="hndl"><span>Configuración general</span></h3>
    <div  class="inside">

			<table class="form-table">
      				<!-- Textbox Control -->
				<tr valign="top">
					<th scope="row">Tu clave API</th>
					<td>
						<label><input id="s4us_key" type="text" size="57" name="s4us_key" value="<?php echo $s4us_key; ?>" /></label>
					</td>
				</tr>
     
        
      </table>
        </div>
        </div>

    <div class="stuffbox">
		<h3 class="hndl"><span>SimpleLinks</span></h3>
    <div  class="inside">
<table class="form-table">
				<!-- Checkbox Buttons -->
 
				<tr valign="top">
					<th scope="row">Habilitar</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="s4us_enabled" type="checkbox"  <?php if ($s4us_enabled=='on') { echo 'checked';} ?> /> <strong>Activado</strong></label><br />
            <span style="color:#999999">Activa o desactiva SimpleLinks. Si activas SimpleWords, esta opción se activará automáticamente ya que es requerida para el funcionamiento de SimpleWords.</span>
					</td>
				</tr>        
        
      </table>
        </div>
        </div>

       
     <div id="sr-account" class="stuffbox">
		<h3 class="hndl"><span>SimpleWords</span></h3>
      <div id="s4us_account" class="inside">
			<table class="form-table">
      				<!-- Textbox Control -->
				<tr valign="top">
					<th scope="row">Habilitar</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="s4us_words_enabled" type="checkbox"  <?php if ($s4us_words_enabled=='on') { echo 'checked';} ?> /> <strong>Activado</strong></label><br />
            <span style="color:#999999">Activa o desactiva la generación de enlaces de Simplewords.</span>
					</td>
				</tr>
			
       	<!-- Radio Button Group -->
				<tr valign="top">
					<th scope="row">Densidad</th>
					<td>
						<!-- First radio button -->
						<label><input name="s4us_words_density" type="radio" value="25" <?php if ($s4us_words_density=='25') { echo 'checked';} ?> /> Mínima </label><br />
						<label><input name="s4us_words_density" type="radio" value="50" <?php if ($s4us_words_density=='50') { echo 'checked';} ?> /> Normal </label><br />
            <label><input name="s4us_words_density" type="radio" value="75" <?php if ($s4us_words_density=='75') { echo 'checked';} ?> /> Alta </label><br />
            <label><input name="s4us_words_density" type="radio" value="100" <?php if ($s4us_words_density=='100') { echo 'checked';} ?> /> Máxima </label><br />
						<span style="color:#999999">La densidad indica la cantidad de palabras clave que serán convertidas en enlaces en base al contenido.</span>
					</td> 
      </table>      
        </div>
        </div>
     <?php if (get_option('simple4us_userid' )!=''){ ?>   
     <div id="sr-account" class="stuffbox">
		<h3 class="hndl"><span>SimpleFeeds</span></h3>
      <div id="s4us_account" class="inside">
      
<div class="wrap">
        <p><strong>SimpleFeeds</strong> es una funcionalidad extra de SimpleLeads exclusiva para los blogs Wordpress, que te permite mostrar las campañas también en el <strong>feed RSS</strong> de tu blog. A continuación puedes ver el listado de las campañas disponibles para mostrar en tus feeds RSS.</p>
        
       <table class="form-table"> 
       <tr valign="top">
					<th scope="row">Habilitar</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="s4us_feeds_enabled" type="checkbox"  <?php if ($s4us_feeds_enabled=='on') { echo 'checked';} ?> /> <strong>Activado</strong></label><br />
            <span style="color:#999999">Activa o desactiva SimpleFeeds.</span>
					</td>
				</tr>
        </table>
        
        </br>
<p>Marca (con el check de la izquierda) aquellas campañas que quieres que sean mostradas y guarda los cambios. Podrás comprobar como se ve tu feed RSS haciendo <a href="<?php echo get_bloginfo('rss2_url');?>" target="_blank">click aquí.</a></p>        
        <table class="widefat"> 
			<thead>
				<tr>
        <th align="center" id="cb" class="manage-column column-cb check-column" scope="col">
        <input type="checkbox" class="checkall" id="checkall">
        </th>
        
        <th scope="col">Categoría/País</th>
				<th scope="col" align="center">Logo</th>
				<th scope="col" >Texto</th>
        <th scope="col" align="center">Landing</th>
        <th scopr="col" align="center">Finaliza</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
        <th align="center" id="cb" class="manage-column column-cb check-column" scope="col">
        <input type="checkbox" class="checkall" id="checkall">
        </th>
        <th scope="col">Categoría/País</th>
				<th scope="col" align="center">Logo</th>
				<th scope="col" >Texto</th>
        <th scope="col" align="center">Landing</th>
        <th scopr="col" align="center">Finaliza</th>
				</tr>

			</tfoot>      	
<?php
$s4us_feeds_campaigns = get_option( 'simple4us_feeds_campaigns');
if ($s4us_feeds_campaigns<>'')
{          
    $xml_campaigns = new SimpleXMLElement($s4us_feeds_campaigns);
    
    foreach($xml_campaigns->item as $campaign)
    {
      if ($i==1){echo '<tr class="alternate">';}else{echo '<tr>';}
            echo '<td ><input class="SFcheck" type="checkbox" id="s4us_feeds_activecampaigns" name="s4us_feeds_activecampaigns[]" value="'.$campaign->id.'"';
      if ($s4us_feeds_activecampaigns)if(in_array($campaign->id,$s4us_feeds_activecampaigns)) echo ' checked ';
      echo '></td>';
      echo '<td><strong>'.$campaign->category.' ('.$campaign->country.')</strong></td>';
    	echo '<td align="center"><img style="max-width:100px;" src="http://panel.simple4.us/logos/logo_'.$campaign->slug.'.gif" ></td>';
    	echo '<td>'.$campaign->text.'</td>';
    	echo '<td align="center"><a href="'.$campaign->landing.'" target="_blank">Ver</a></td>';
      echo '<td align="center">'.date('d/m/Y',  strtotime($campaign->end)).'</td><tr>';
      if ($i==1){$i=0;}else{$i=1;}
    }
    
    echo '</table></div></br>';
    }
    
    ?>
    
      
    </div>
    
    </div>
    <?php } ?>
      
			<p class="submit">
			<input type="submit" class="button-primary" value="Guardar cambios" />
			</p>

        </div>
    
      
        
        
</form>        
        
        </div>
        </div>
    </div>

<?php  } 
function GetDomain($url)
    {
    $nowww = preg_replace('/www./','',$url);
    $domain = parse_url($nowww);
    if(!empty($domain["host"]))
        {
         return $domain["host"];
         } else
         {
         return $domain["path"];
         }
     
    }
?>